Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 376603002: This CL adds support for extension in GYP. (Closed)

Created:
5 years, 3 months ago by olivierrobin
Modified:
3 years, 5 months ago
CC:
gyp-developer_googlegroups.com
Base URL:
https://chromium.googlesource.com/external/gyp.git@master
Visibility:
Public.

Description

This CL adds support for extension in GYP. This CL adds the extension target type and adds the link flags to compile .appex extensions. BUG=gyp:435 R=justincohen@chromium.org, mark@chromium.org, pkl@chromium.org, sdefresne@chromium.org Committed: https://code.google.com/p/gyp/source/detail?r=1954

Patch Set 1 #

Total comments: 10

Patch Set 2 : corrections #

Total comments: 8

Patch Set 3 : Bundle name correction #

Total comments: 4

Patch Set 4 : comment corrections #

Total comments: 23

Patch Set 5 : comments corections #

Patch Set 6 : extension -> ios-app-extension #

Total comments: 16

Patch Set 7 : Corrections after marks comments #

Patch Set 8 : oops #

Unified diffs Side-by-side diffs Delta from patch set Stats (+539 lines, -11 lines) Patch
M pylib/gyp/generator/xcode.py View 1 2 3 4 5 6 4 chunks +15 lines, -8 lines 0 comments Download
M pylib/gyp/xcode_emulation.py View 1 2 3 4 5 6 7 5 chunks +24 lines, -2 lines 0 comments Download
M pylib/gyp/xcode_ninja.py View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M pylib/gyp/xcodeproj_file.py View 1 2 3 4 5 6 1 chunk +3 lines, -1 line 0 comments Download
A test/ios/extension/ActionExtension/ActionViewController.h View 1 2 3 4 5 6 1 chunk +9 lines, -0 lines 0 comments Download
A test/ios/extension/ActionExtension/ActionViewController.m View 1 2 3 4 1 chunk +31 lines, -0 lines 0 comments Download
A test/ios/extension/ActionExtension/Info.plist View 1 2 3 4 5 6 1 chunk +42 lines, -0 lines 0 comments Download
A test/ios/extension/ActionExtension/MainInterface.storyboard View 1 chunk +63 lines, -0 lines 0 comments Download
A test/ios/extension/ExtensionContainer/AppDelegate.h View 1 2 3 4 5 6 1 chunk +12 lines, -0 lines 0 comments Download
A test/ios/extension/ExtensionContainer/AppDelegate.m View 1 2 3 4 1 chunk +19 lines, -0 lines 0 comments Download
A test/ios/extension/ExtensionContainer/Base.lproj/Main.storyboard View 1 chunk +25 lines, -0 lines 0 comments Download
A test/ios/extension/ExtensionContainer/Images.xcassets/AppIcon.appiconset/Contents.json View 1 chunk +53 lines, -0 lines 0 comments Download
A test/ios/extension/ExtensionContainer/Images.xcassets/LaunchImage.launchimage/Contents.json View 1 chunk +51 lines, -0 lines 0 comments Download
A test/ios/extension/ExtensionContainer/Info.plist View 1 2 1 chunk +32 lines, -0 lines 0 comments Download
A test/ios/extension/ExtensionContainer/ViewController.h View 1 2 3 4 5 6 1 chunk +11 lines, -0 lines 0 comments Download
A test/ios/extension/ExtensionContainer/ViewController.m View 1 1 chunk +24 lines, -0 lines 0 comments Download
A test/ios/extension/ExtensionContainer/main.m View 1 2 3 4 5 6 1 chunk +13 lines, -0 lines 0 comments Download
A test/ios/extension/extension.gyp View 1 2 3 4 5 1 chunk +83 lines, -0 lines 0 comments Download
A test/ios/gyptest-extension.py View 1 2 3 4 5 6 1 chunk +28 lines, -0 lines 0 comments Download

Messages

Total messages: 20 (0 generated)
olivierrobin
5 years, 3 months ago (2014-07-07 14:03:28 UTC) #1
justincohen
https://codereview.chromium.org/376603002/diff/1/pylib/gyp/generator/ninja.py File pylib/gyp/generator/ninja.py (right): https://codereview.chromium.org/376603002/diff/1/pylib/gyp/generator/ninja.py#newcode1091 pylib/gyp/generator/ninja.py:1091: nit: blank line https://codereview.chromium.org/376603002/diff/1/pylib/gyp/xcode_emulation.py File pylib/gyp/xcode_emulation.py (right): https://codereview.chromium.org/376603002/diff/1/pylib/gyp/xcode_emulation.py#newcode807 pylib/gyp/xcode_emulation.py:807: ...
5 years, 3 months ago (2014-07-07 14:13:58 UTC) #2
olivierrobin
https://codereview.chromium.org/376603002/diff/1/pylib/gyp/generator/ninja.py File pylib/gyp/generator/ninja.py (right): https://codereview.chromium.org/376603002/diff/1/pylib/gyp/generator/ninja.py#newcode1091 pylib/gyp/generator/ninja.py:1091: On 2014/07/07 14:13:58, justincohen wrote: > nit: blank line ...
5 years, 3 months ago (2014-07-07 14:36:36 UTC) #3
justincohen
https://codereview.chromium.org/376603002/diff/20001/test/ios/extension/ActionExtension/Info.plist File test/ios/extension/ActionExtension/Info.plist (right): https://codereview.chromium.org/376603002/diff/20001/test/ios/extension/ActionExtension/Info.plist#newcode12 test/ios/extension/ActionExtension/Info.plist:12: <string>com.google.chrome.ios.ExtensionContainer.ActionExtension</string> We shouldn't use this bundle id for gyp ...
5 years, 3 months ago (2014-07-07 16:21:42 UTC) #4
olivierrobin
https://codereview.chromium.org/376603002/diff/20001/test/ios/extension/ActionExtension/Info.plist File test/ios/extension/ActionExtension/Info.plist (right): https://codereview.chromium.org/376603002/diff/20001/test/ios/extension/ActionExtension/Info.plist#newcode12 test/ios/extension/ActionExtension/Info.plist:12: <string>com.google.chrome.ios.ExtensionContainer.ActionExtension</string> They use com.google.something, so I changed it to ...
5 years, 3 months ago (2014-07-08 09:48:18 UTC) #5
justincohen
LGTM. https://codereview.chromium.org/376603002/diff/40001/test/ios/gyptest-extension.py File test/ios/gyptest-extension.py (right): https://codereview.chromium.org/376603002/diff/40001/test/ios/gyptest-extension.py#newcode8 test/ios/gyptest-extension.py:8: Verifies that ios app bundles are built correctly. ...
5 years, 3 months ago (2014-07-08 21:31:47 UTC) #6
olivierrobin
Thanks https://codereview.chromium.org/376603002/diff/40001/test/ios/gyptest-extension.py File test/ios/gyptest-extension.py (right): https://codereview.chromium.org/376603002/diff/40001/test/ios/gyptest-extension.py#newcode8 test/ios/gyptest-extension.py:8: Verifies that ios app bundles are built correctly. ...
5 years, 3 months ago (2014-07-09 07:35:01 UTC) #7
pkl (ping after 24h if needed)
Mostly style nits. I suspect that many of those are from boilerplate code generated by ...
5 years, 3 months ago (2014-07-09 08:07:51 UTC) #8
olivierrobin
https://codereview.chromium.org/376603002/diff/60001/pylib/gyp/generator/ninja.py File pylib/gyp/generator/ninja.py (right): https://codereview.chromium.org/376603002/diff/60001/pylib/gyp/generator/ninja.py#newcode1053 pylib/gyp/generator/ninja.py:1053: spec['type'] == 'extension') On 2014/07/09 08:07:50, pklpkl wrote: > ...
5 years, 3 months ago (2014-07-09 12:46:28 UTC) #9
pkl (ping after 24h if needed)
lgtm
5 years, 3 months ago (2014-07-09 12:53:13 UTC) #10
olivierrobin
From mmentovai : OK, then I think we should just treat this as 'type': 'executable', ...
5 years, 3 months ago (2014-07-09 13:57:46 UTC) #11
olivierrobin
I changed the flag name to ios_app_extension, accordingly to mmentovai advice
5 years, 3 months ago (2014-07-09 15:27:12 UTC) #12
Mark Mentovai
https://codereview.chromium.org/376603002/diff/100001/pylib/gyp/generator/xcode.py File pylib/gyp/generator/xcode.py (right): https://codereview.chromium.org/376603002/diff/100001/pylib/gyp/generator/xcode.py#newcode676 pylib/gyp/generator/xcode.py:676: type_bundle_key += '+extension+bundle' You should require (assert is OK) ...
5 years, 3 months ago (2014-07-09 18:02:52 UTC) #13
olivierrobin
https://codereview.chromium.org/376603002/diff/100001/pylib/gyp/generator/xcode.py File pylib/gyp/generator/xcode.py (right): https://codereview.chromium.org/376603002/diff/100001/pylib/gyp/generator/xcode.py#newcode676 pylib/gyp/generator/xcode.py:676: type_bundle_key += '+extension+bundle' On 2014/07/09 18:02:51, Mark Mentovai wrote: ...
5 years, 3 months ago (2014-07-10 09:31:51 UTC) #14
olivierrobin
Hi mark Can you take another look and tell me if my modifications are ok ...
5 years, 3 months ago (2014-07-15 14:09:41 UTC) #15
Mark Mentovai
LGTM
5 years, 3 months ago (2014-07-15 21:49:35 UTC) #16
olivierrobin
+sdefresne for upstream commit
5 years, 3 months ago (2014-07-23 08:28:16 UTC) #17
sdefresne
Updated the description to point to the bug.
5 years, 2 months ago (2014-07-24 08:06:16 UTC) #18
sdefresne
lgtm Updated the description to point to the bug.
5 years, 2 months ago (2014-07-24 08:06:20 UTC) #19
sdefresne
5 years, 2 months ago (2014-07-24 08:11:13 UTC) #20
Message was sent while issue was closed.
Committed patchset #8 manually as r1954 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698